import "@material/mwc-button";
import "../CardanoConnectWalletComponent/CardanoConnectWalletComponent";
import { LitElement } from "lit";
declare const CardanoConnectWalletButton_base: (new (...args: any[]) => {
    _storeUnsubscribe: import("redux").Unsubscribe;
    connectedCallback(): void;
    disconnectedCallback(): void;
    stateChanged(_state: import("redux").EmptyObject & {
        reducer: {
            walletInfo: any;
            selectedWallet: undefined;
            walletActive: undefined;
            rewardAddresseses: undefined;
            changeAddress: undefined;
            unusedAddresses: undefined;
            usedAddresses: undefined;
            stake: undefined;
            send: undefined;
            initialized: boolean;
        } | {
            selectedWallet: any;
            walletInfo: undefined;
            walletActive: undefined;
            rewardAddresseses: undefined;
            changeAddress: undefined;
            unusedAddresses: undefined;
            usedAddresses: undefined;
            stake: undefined;
            send: undefined;
            initialized: boolean;
        } | {
            walletActive: any;
            rewardAddresses: any;
            changeAddress: any;
            unusedAddresses: any;
            usedAddresses: any;
            walletInfo: undefined;
            selectedWallet: undefined;
            rewardAddresseses: undefined;
            stake: undefined;
            send: undefined;
            initialized: boolean;
        } | {
            stake: any;
            walletInfo: undefined;
            selectedWallet: undefined;
            walletActive: undefined;
            rewardAddresseses: undefined;
            changeAddress: undefined;
            unusedAddresses: undefined;
            usedAddresses: undefined;
            send: undefined;
            initialized: boolean;
        } | {
            send: any;
            walletInfo: undefined;
            selectedWallet: undefined;
            walletActive: undefined;
            rewardAddresseses: undefined;
            changeAddress: undefined;
            unusedAddresses: undefined;
            usedAddresses: undefined;
            stake: undefined;
            initialized: boolean;
        } | {
            initialized: any;
            walletInfo: undefined;
            selectedWallet: undefined;
            walletActive: undefined;
            rewardAddresseses: undefined;
            changeAddress: undefined;
            unusedAddresses: undefined;
            usedAddresses: undefined;
            stake: undefined;
            send: undefined;
        };
    }): void;
    readonly isConnected: boolean;
}) & typeof LitElement;
export declare class CardanoConnectWalletButton extends CardanoConnectWalletButton_base {
    open: boolean;
    noWalletMessage: string;
    defaultConnect: string;
    bech32: boolean;
    buttonArgs: {};
    menuArgs: {};
    firstUpdated(): void;
    updateMenu: () => void;
    render(): import("lit-html").TemplateResult<1>;
}
export {};
