import { Menu } from '@material/mwc-menu';
import '@material/mwc-list/mwc-list-item';
import type { ListItemBase } from "@material/mwc-list/mwc-list-item-base";
import { WalletInfo } from '@chain-lib/cardano-api';
declare const CardanoConnectWalletComponent_base: (new (...args: any[]) => {
    _storeUnsubscribe: import("redux").Unsubscribe;
    connectedCallback(): void;
    disconnectedCallback(): void;
    stateChanged(_state: import("redux").EmptyObject & {
        reducer: {
            walletInfo: any;
            selectedWallet: undefined;
            walletActive: undefined;
            rewardAddresseses: undefined;
            changeAddress: undefined;
            unusedAddresses: undefined;
            usedAddresses: undefined;
            stake: undefined;
            send: undefined;
            initialized: boolean;
        } | {
            selectedWallet: any;
            walletInfo: undefined;
            walletActive: undefined;
            rewardAddresseses: undefined;
            changeAddress: undefined;
            unusedAddresses: undefined;
            usedAddresses: undefined;
            stake: undefined;
            send: undefined;
            initialized: boolean;
        } | {
            walletActive: any;
            rewardAddresses: any;
            changeAddress: any;
            unusedAddresses: any;
            usedAddresses: any;
            walletInfo: undefined;
            selectedWallet: undefined;
            rewardAddresseses: undefined;
            stake: undefined;
            send: undefined;
            initialized: boolean;
        } | {
            stake: any;
            walletInfo: undefined;
            selectedWallet: undefined;
            walletActive: undefined;
            rewardAddresseses: undefined;
            changeAddress: undefined;
            unusedAddresses: undefined;
            usedAddresses: undefined;
            send: undefined;
            initialized: boolean;
        } | {
            send: any;
            walletInfo: undefined;
            selectedWallet: undefined;
            walletActive: undefined;
            rewardAddresseses: undefined;
            changeAddress: undefined;
            unusedAddresses: undefined;
            usedAddresses: undefined;
            stake: undefined;
            initialized: boolean;
        } | {
            initialized: any;
            walletInfo: undefined;
            selectedWallet: undefined;
            walletActive: undefined;
            rewardAddresseses: undefined;
            changeAddress: undefined;
            unusedAddresses: undefined;
            usedAddresses: undefined;
            stake: undefined;
            send: undefined;
        };
    }): void;
    readonly isConnected: boolean;
}) & typeof Menu;
export declare class CardanoConnectWalletComponent extends CardanoConnectWalletComponent_base {
    firstInitialized: boolean;
    isWalletUpdated: boolean;
    walletInfo: WalletInfo[];
    walletCache: string;
    cachedWalletInfo: Object;
    bech32: boolean;
    noWalletMessage: string;
    constructor();
    stateChanged(state: any): void;
    render(): import("lit-html").TemplateResult<1>;
    _eventHandler(state: any): void;
    clickHandler: () => void;
    convertType: (value: ListItemBase | ListItemBase[] | null) => ListItemBase;
}
export {};
