var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { customElement, property } from 'lit/decorators.js';
import { LitElement, html } from 'lit';
import { Store } from '../../redux';
import { initialize, getWalletInfo } from '../../redux/cardanoWallet/actions';
let CardanoInitialize = class CardanoInitialize extends LitElement {
    constructor() {
        super();
        this.config = {};
        this.init();
    }
    async init() {
        await new Promise((r) => setTimeout(r, 0));
        await Promise.resolve(Store.dispatch(initialize(this.config)));
        await Promise.resolve(Store.dispatch(getWalletInfo()));
    }
    render() {
        return html `<slot></slot>`;
    }
};
__decorate([
    property({ type: Object })
], CardanoInitialize.prototype, "config", void 0);
CardanoInitialize = __decorate([
    customElement('cardano-initialize')
], CardanoInitialize);
export { CardanoInitialize };
